[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ColorBox' (#lcl)

# TCustomColorBox.ColorNames

Provides indexed access to the names for the Colors used in the control

## Declaration

Source position: colorbox.pas line 87

`public property TCustomColorBox.ColorNames[Index: Integer] : string read GetColorName;`

## Description

ColorNames is a read-only String property which provides indexed access to the names for the values stored in Colors property.

Use Colors to get the TColor value for one the Items in the control.

Use Style to determine the colors and names available in the combo-box control.

## See also

TCustomColorBox.Colors |  | Provides indexed access to the TColor value for items in the control.
TCustomColorBox.Style |  | Settings which determine the colors available in the control and their display style.
TCustomComboBox.Items |  | The list of items displayed in the combo-box control.